Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.model
Class SameNode

    java.lang.Object
      org.modeshape.jcr.query.model.SameNode

All Implemented Interfaces:
  Serializable, Constraint, SameNode, LanguageObject, Visitable

    @Immutable
    public class SameNode

extends Object
implements Constraint, SameNode

A constraint requiring that the selected node is reachable by the supplied absolute path

See Also:
  Serialized Form

Constructor Summary
`SameNode(SelectorName selectorName, String path)` Create a constraint requiring that the node identified by the selector is reachable by the supplied absolute path.

Method Summary
`void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
`boolean` | `equals(Object obj)`
`String` | `getPath()`
`String` | `getSelectorName()`
`int` | `hashCode()`
`SelectorName` | `selectorName()` Get the name of the selector.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SameNode

    public SameNode(SelectorName selectorName,
                    String path)

  Create a constraint requiring that the node identified by the selector is reachable by the supplied absolute path.

  Parameters:
    `selectorName` - the name of the selector
    `path` - the absolute path
  Throws:
    `IllegalArgumentException` - if the selector name or path are null

Method Detail

### selectorName

    public final SelectorName selectorName()

  Get the name of the selector.

  Returns:
    the selector name; never null

### getSelectorName

    public String getSelectorName()

  Specified by:
    `getSelectorName` in interface `SameNode`

### getPath

    public final String getPath()

  Specified by:
    `getPath` in interface `SameNode`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### accept

    public void accept(Visitor visitor)

  Description copied from interface: `Visitable`
  Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.

  Specified by:
    `accept` in interface `Visitable`
  Parameters:
    `visitor` - the visitor; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.